import { ChangeDetectorRef } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { Title } from '@angular/platform-browser';
import { FrameworkType } from '../constants/docs.constants';
import { ComponentDoc } from '../interfaces/ComponentDoc';
import { UsageContext } from '../interfaces/UsageContext';
export declare class FeatureComponent {
    private route;
    private changeRef;
    private title;
    private docs;
    private frameWorkType;
    doc: ComponentDoc;
    demos: any[];
    constructor(route: ActivatedRoute, changeRef: ChangeDetectorRef, title: Title, docs: ComponentDoc[], frameWorkType: FrameworkType);
    sortedKeys(usages: UsageContext): string[];
    private titleFromDoc;
    private filterExamples;
    getNgExamples(doc: ComponentDoc): ComponentDoc;
    getJsExamples(doc: ComponentDoc): ComponentDoc;
    getVueExamples(doc: ComponentDoc): ComponentDoc;
}
